<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Name: Bericht 3 Geldige partijnummers (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]"
         id="d41e42985-false-d1797562e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]"
         id="d41e42993-false-d1797591e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('LIST') or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'LIST' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']"
         id="d41e43027-false-d1797646e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.100.140')">(VersturenGeldigePartijnummers-payload): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.100.140' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:code[(@code = '373873005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e43037-false-d1797661e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')">(VersturenGeldigePartijnummers-payload): de elementwaarde MOET een zijn van 'code '373873005' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@displayName">(VersturenGeldigePartijnummers-payload): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(VersturenGeldigePartijnummers-payload): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]">
      <extends rule="d1797777e0-false-d1797781e0"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]">
      <extends rule="d1797777e19-false-d1797817e0"/>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string(@value))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high[not(@nullFlavor)]
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high[not(@nullFlavor)]">
      <extends rule="d1797777e29-false-d1797830e0"/>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string(@value))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d1797777e0-false-d1797781e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(Periode-M-Start-M-Eind-M): element hl7:low[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(Periode-M-Start-M-Eind-M): element hl7:low[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high[not(@nullFlavor)]) &gt;= 1">(Periode-M-Start-M-Eind-M): element hl7:high[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high[not(@nullFlavor)]) &lt;= 1">(Periode-M-Start-M-Eind-M): element hl7:high[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:width) = 0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:center) = 0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d1797777e19-false-d1797817e0" abstract="true">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="not(*)">(Periode-M-Start-M-Eind-M): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high[not(@nullFlavor)]
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d1797777e29-false-d1797830e0" abstract="true">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="not(*)">(Periode-M-Start-M-Eind-M): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]"
         id="d41e43102-false-d1797859e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@typeCode) = ('PRD')">(VersturenGeldigePartijnummers-payload): de waarde van typeCode MOET 'PRD' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]"
         id="d41e43119-false-d1797879e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('INST')">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'INST' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND']) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]"
         id="d41e43136-false-d1797905e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('MMAT')">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'MMAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(VersturenGeldigePartijnummers-payload): de waarde van determinerCode MOET 'INSTANCE' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:expirationTime) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:id"
         id="d41e43156-false-d1797946e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:expirationTime"
         id="d41e43172-false-d1797956e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low) = 0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high[not(@nullFlavor)]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:high[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high[not(@nullFlavor)]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:high[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:expirationTime/hl7:high[not(@nullFlavor)]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:expirationTime/hl7:high[not(@nullFlavor)]"
         id="d41e43192-false-d1797989e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(*)">(VersturenGeldigePartijnummers-payload): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]"
         id="d41e43206-false-d1798005e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('INST')">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'INST' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]"
         id="d41e43223-false-d1798031e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('MAT')">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'MAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode) = ('KIND')">(VersturenGeldigePartijnummers-payload): de waarde van determinerCode MOET 'KIND' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <report role="warning"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt; 1">(VersturenGeldigePartijnummers-payload): element hl7:code is gecodeerd met bindingssterkte 'CWE' en bevat een code buiten de gespecificeerde set.</report>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:productInstanceInstance[not(@nullFlavor)][@classCode = 'MMAT'][@determinerCode = 'INSTANCE'][hl7:asInstanceOfKind[@classCode = 'INST']]/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:kindOfMaterialKind[hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d41e43243-false-d1798061e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(VersturenGeldigePartijnummers-payload): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (2016-12-09T00:00:00)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@code) or @displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND']
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND']"
         id="d41e43269-false-d1798079e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode) = ('MAT')">(VersturenGeldigePartijnummers-payload): de waarde van classCode MOET 'MAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode) = ('KIND')">(VersturenGeldigePartijnummers-payload): de waarde van determinerCode MOET 'KIND' zijn. Gevonden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code) &gt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code) &lt;= 1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND']/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]]/hl7:ProductList[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100.140']]/hl7:product[not(@nullFlavor)][@typeCode = 'PRD'][hl7:instanceOfKind[@classCode = 'INST']]/hl7:instanceOfKind[not(@nullFlavor)][@classCode = 'INST'][hl7:productInstanceInstance[@classCode = 'MMAT'][@determinerCode = 'INSTANCE']]/hl7:kindOfProduct[@classCode = 'MAT'][@determinerCode = 'KIND']/hl7:code"
         id="d41e43286-false-d1798103e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@nullFlavor) = ('OTH') or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van nullFlavor MOET 'OTH' zijn. Gevonden: "<value-of select="@nullFlavor"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20200805T202813/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
